Package org.apache.sling.query.impl.resource.jcr

## Enum JcrOperator

- java.lang.Object
- - java.lang.Enum<JcrOperator>
  - - org.apache.sling.query.impl.resource.jcr.JcrOperator

All Implemented Interfaces:
  `Serializable`, `Comparable<JcrOperator>`

    public enum JcrOperator
    extends Enum<JcrOperator>

### Enum Constant Summary

Enum Constants
`CONTAINS`
`CONTAINS_WORD`
`ENDS_WITH`
`EQUALS`
`NOT_EQUAL`
`STARTS_WITH`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract String` `getJcrQueryFragment​(String key, String value)`
`static JcrOperator` `getSelectorOperator​(String operator)`
`static JcrOperator` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static JcrOperator[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### CONTAINS

    public static final JcrOperator CONTAINS

#### CONTAINS_WORD

    public static final JcrOperator CONTAINS_WORD

#### ENDS_WITH

    public static final JcrOperator ENDS_WITH

#### EQUALS

    public static final JcrOperator EQUALS

#### NOT_EQUAL

    public static final JcrOperator NOT_EQUAL

#### STARTS_WITH

    public static final JcrOperator STARTS_WITH

### Method Detail

#### values

    public static JcrOperator[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JcrOperator c : JcrOperator.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JcrOperator valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getJcrQueryFragment

    public abstract String getJcrQueryFragment​(String key,
                                               String value)

#### getSelectorOperator

    public static JcrOperator getSelectorOperator​(String operator)